Bug 479152 - fgrep uses 100% of cpu when env var LC_ALL=ko_KR.eucKR
fgrep uses 100% of cpu when env var LC_ALL=ko_KR.eucKR
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
: Regression, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 11:16 EST by Stepan Kasal
Modified: 2009-01-29 09:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 09:58:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Stepan Kasal 2009-01-08 04:22:07 EST
echo "fail" | LC_ALL=ko_KR.eucKR grep -Fi 1
Actual results: 'Hang' observed; fgrep using 100% of cpu
Expected results: fgrep returns.
Comment 2 Stepan Kasal 2009-01-08 05:00:40 EST
Fixed in grep-2.5.3-2
Comment 3 Stepan Kasal 2009-01-26 12:03:14 EST
Not submitted upstream yet.
Comment 4 Stepan Kasal 2009-01-29 09:58:50 EST
Submitted upstream:
http://savannah.gnu.org/patch/index.php?6735

Note You need to log in before you can comment on or make changes to this bug.